﻿@model IEnumerable<ButtonGrid.Models.ButtonModel>

<div class="button-container">
	@foreach (var item in Model)
	{
		<div class="button-wrapper">
			<form method="post" asp-action="HandleButtonClick">
				<input type="hidden" name="buttonId" value="@item.Id" />
				<button type="submit" class="button-submit">
					@if (item.ButtonState == 0)
					{
						<img class="button-img" src="~/img/blue.jpg" />
						<div class="button-label">Blue</div>
					}
					@if (item.ButtonState == 1)
					{
						<img class="button-img" src="~/img/green.jpg" />
						<div class="button-label">Green</div>
					}
					@if (item.ButtonState == 2)
					{
						<img class="button-img" src="~/img/red.jpg" />
						<div class="button-label">Red</div>
					}
					@if (item.ButtonState == 3)
					{
						<img class="button-img" src="~/img/yellow.jpg" />
						<div class="button-label">Yellow</div>
					}
				</button>
			</form>
		</div>
	}
</div>